%define rname	RubyGems
%define	oname	rubygems

Summary:	Ruby package manager
Name:		ruby-%{rname}
Version:	1.8.24
Release:	1
License:	GPL
Group:		Development/Ruby
URL:		http://docs.rubygems.org/
Source0:	http://rubyforge.org/frs/download.php/60718/%{oname}-%{version}.tgz
BuildArch:	noarch
BuildRequires:	ruby
Requires:	ruby
Provides:	%{oname} = %{version}


%description
RubyGems is the Ruby standard for publishing and managing third party
libraries.

%prep
%setup -q -n rubygems-%{version}

# gems are installed in /usr/lib even on x86_64 
%__sed -ie "s,ConfigMap\[:libdir\],\'/usr/lib\'," lib/rubygems/defaults.rb

%build

%install
mkdir -p %buildroot%{ruby_gemdir}
ruby setup.rb --prefix=%buildroot/%_prefix
mkdir -p %buildroot%{ruby_sitelibdir}
mv %buildroot/%_prefix/lib/{*.rb,rubygems,rbconfig} %buildroot%{ruby_sitelibdir}

for f in `find %buildroot%{ruby_sitelibdir} -name \*.rb`
do
	if head -n1 "$f" | grep '^#!' >/dev/null;
	then
		sed -i 's|/usr/local/bin|/usr/bin|' "$f"
		chmod 0755 "$f"
	else
		chmod 0644 "$f"
	fi
done

%files
%doc README*
%attr(755,root,root) %{_bindir}/*
%{ruby_sitelibdir}/*
%{ruby_gemdir}


%changelog
* Thu May 10 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.8.24-1
+ Revision: 797944
- version update 1.8.24

* Thu Jan 26 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.8.15-2
+ Revision: 769124
- release bump and spec renewed for 2011 and cooker

* Tue Jan 24 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.8.15-1
+ Revision: 767917
- version update 1.8.15

* Sun Oct 30 2011 Alexander Khrukin <akhrukin@mandriva.org> 1.8.10-1
+ Revision: 707956
- update version

* Tue Oct 04 2011 Lev Givon <lev@mandriva.org> 1.7.2-4
+ Revision: 702648
- Bump release to rebuild.

* Fri Sep 30 2011 Alexander Barakin <abarakin@mandriva.org> 1.7.2-3
+ Revision: 702152
- fix invalid date format

* Fri Sep 09 2011 Andrey Smirnov <asmirnov@mandriva.org> 1.7.2-2
+ Revision: 699161
- wrong buildreqs
- rebuild after libdir fix

* Wed Sep 07 2011 Andrey Smirnov <asmirnov@mandriva.org> 1.7.2-1
+ Revision: 698616
- imported package ruby-RubyGems

* Thu May 05 2011 Oden Eriksson <oeriksson@mandriva.com> 1.6.2-2
+ Revision: 669457
- mass rebuild

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - new release: 1.6.2

* Thu Mar 10 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.6.1-1
+ Revision: 643456
- new release: 1.6.1

* Thu Sep 16 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.3.7-1mdv2011.0
+ Revision: 579082
- new release: 1.3.7 (closes #61037)

* Wed Mar 17 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.3.5-3mdv2010.1
+ Revision: 524209
- don't define name, version & release on top of file
- add version to 'rubygems' provide

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.5-2mdv2010.1
+ Revision: 523932
- rebuilt for 2010.1

* Thu Jul 30 2009 Frederik Himpe <fhimpe@mandriva.org> 1.3.5-1mdv2010.0
+ Revision: 404729
- Update to new version 1.3.5

* Fri Jun 12 2009 Lev Givon <lev@mandriva.org> 1.3.4-2mdv2010.0
+ Revision: 385513
- Use correct gem path on all platforms (#51599).

* Fri Jun 12 2009 Lev Givon <lev@mandriva.org> 1.3.4-1mdv2010.0
+ Revision: 385327
- Update to 1.3.4.

* Sun Feb 01 2009 Funda Wang <fwang@mandriva.org> 1.3.1-1mdv2009.1
+ Revision: 336112
- New version 1.3.1

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-2mdv2009.0
+ Revision: 225339
- rebuild

* Thu Feb 28 2008 Pascal Terjan <pterjan@mandriva.org> 1.0.1-1mdv2008.1
+ Revision: 176209
- Update to 1.0.1

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Apr 21 2007 Pascal Terjan <pterjan@mandriva.org> 0.9.0-3mdv2008.0
+ Revision: 16663
- Use Development/Ruby group
- Use std macros

